
clc; clear all;
format long;            % prints out more digits
format compact;         % makes the output more compact

load RichrdExp2dip_Ex_2.dat;
A = RichrdExp2dip_Ex_2;
R = 1920;       % in mm
%x = (-1:0.01:1).*(pi/180).*R;      % R*phi
%x = (-10:0.1:10).*(pi/180).*R;      % R*phi
x = (-180:0.5:180).*(pi/180).*R;      % R*phi
y = (-1:0.01:1).*(pi/180).*R;      % R*theta
phi = -180:0.5:180;
theta = -1:0.01:1;
L = length(x);

figure(1)
%contourf(x,y,A)
contourf(phi,theta,A)
figure(2)
Bn = ((A(:,(L+1)/2))')./A(1,(L+1)/2);
plot(y,20.*log(Bn)./log(10))
xlabel('theta in degrees (phi = 0^o)')
ylabel('normalized Ex in dB')